'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HistoryQuery = function HistoryQuery(_ref) {
  var query = _ref.query,
      variables = _ref.variables,
      operationName = _ref.operationName,
      onSelect = _ref.onSelect;

  var onClick = function onClick() {
    onSelect(query, variables, operationName);
  };

  var displayName = void 0;
  if (operationName) {
    displayName = operationName;
  } else {
    displayName = query.split('\n').filter(function (line) {
      return line.indexOf('#') !== 0;
    }).join('');
  }

  return _react2.default.createElement(
    'p',
    { onClick: onClick },
    displayName
  );
};

HistoryQuery.propTypes = {
  query: _react.PropTypes.string,
  variables: _react.PropTypes.string,
  operationName: _react.PropTypes.string,
  onSelect: _react.PropTypes.func
};

exports.default = HistoryQuery;